> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an asset

> Retrieves an asset by ID, including a signed URL for downloading the file.

Use this endpoint when you have an asset ID and need the asset's current metadata
or a new download URL. For example, invoice responses include attached assets in
`attachmentAssets`; pass an attachment's `id` to this endpoint to retrieve its
metadata and a new download URL.



## OpenAPI

````yaml orchestra.2024-07-30.product.live GET /assets/{id}
openapi: 3.0.0
info:
  title: Orchestra
  description: Manage bulk actions and assets
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /assets/{id}:
    servers: []
    parameters: []
    get:
      tags:
        - Assets
      summary: Get an asset
      description: >-
        Retrieves an asset by ID, including a signed URL for downloading the
        file.


        Use this endpoint when you have an asset ID and need the asset's current
        metadata

        or a new download URL. For example, invoice responses include attached
        assets in

        `attachmentAssets`; pass an attachment's `id` to this endpoint to
        retrieve its

        metadata and a new download URL.
      operationId: getAssetsById
      parameters:
        - name: id
          in: path
          description: Asset ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetResponse'
                example:
                  id: e007e884-5100-4183-8355-4771865cb4dd
                  createdBy: 94703530-1293-479b-bd37-ccad42fd9c8b
                  createdByType: SEQUENCE_USER
                  type: IMAGE
                  format: PNG
                  fileName: my-image.png
                  fileSizeBytes: 12345
                  url: >-
                    https://assets.sequencehq.com/1986c663-9ee9-4811-bfbf-57d2ad666096/images/e007e884-5100-4183-8355-4771865cb4dd.png?token=grhc3VtaoNLAifDBFXWYLHcNnK3XJHzFjZ4iMf78Ozg&expires=604800
                  createdAt: '2023-11-27T12:00:00Z'
              examples:
                AssetResponse:
                  summary: ''
                  value:
                    id: e007e884-5100-4183-8355-4771865cb4dd
                    createdBy: 94703530-1293-479b-bd37-ccad42fd9c8b
                    createdByType: SEQUENCE_USER
                    type: IMAGE
                    format: PNG
                    fileName: my-image.png
                    fileSizeBytes: 12345
                    url: >-
                      https://assets.sequencehq.com/1986c663-9ee9-4811-bfbf-57d2ad666096/images/e007e884-5100-4183-8355-4771865cb4dd.png?token=grhc3VtaoNLAifDBFXWYLHcNnK3XJHzFjZ4iMf78Ozg&expires=604800
                    createdAt: '2023-11-27T12:00:00Z'
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '404':
          description: Not Found
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    AssetResponse:
      required:
        - createdAt
        - createdBy
        - createdByType
        - fileName
        - fileSizeBytes
        - format
        - id
        - type
        - url
      type: object
      example:
        id: e007e884-5100-4183-8355-4771865cb4dd
        createdBy: 94703530-1293-479b-bd37-ccad42fd9c8b
        createdByType: SEQUENCE_USER
        type: IMAGE
        format: PNG
        fileName: my-image.png
        fileSizeBytes: 12345
        url: >-
          https://assets.sequencehq.com/1986c663-9ee9-4811-bfbf-57d2ad666096/images/e007e884-5100-4183-8355-4771865cb4dd.png?token=grhc3VtaoNLAifDBFXWYLHcNnK3XJHzFjZ4iMf78Ozg&expires=604800
        createdAt: '2023-11-27T12:00:00Z'
      properties:
        id:
          type: string
          description: Unique ID for this asset.
          example: e007e884-5100-4183-8355-4771865cb4dd
        createdBy:
          type: string
          description: >-
            The ID of the asset creator. A Sequence user id or API key id, as
            identified by `createdByType`.
          example: 94703530-1293-479b-bd37-ccad42fd9c8b
        createdByType:
          $ref: '#/components/schemas/AssetCreatorType'
          description: Whether `createdBy` identifies a `SEQUENCE_USER` or an `API_CLIENT`.
        type:
          $ref: '#/components/schemas/AssetType'
          description: Classification of this asset as `IMAGE`, `DOCUMENT`, or `BINARY`.
        format:
          $ref: '#/components/schemas/AssetFormat'
          description: >-
            File format of this asset. For uploaded assets, this value is
            derived from the `Content-Type` of the `file` part.
        fileName:
          type: string
          description: Original filename provided when the asset was uploaded.
          example: my-image.png
        fileSizeBytes:
          type: integer
          description: >-
            Size of the stored file, in bytes. This may differ from the size of
            the uploaded file.
          format: int32
          example: 12345
        url:
          type: string
          description: >-
            Signed URL for downloading the file. The URL expires one week after
            it is generated. Call **Get an asset** when you need a new URL.
          example: >-
            https://assets.sequencehq.com/1986c663-9ee9-4811-bfbf-57d2ad666096/images/e007e884-5100-4183-8355-4771865cb4dd.png?token=grhc3VtaoNLAifDBFXWYLHcNnK3XJHzFjZ4iMf78Ozg&expires=604800
        createdAt:
          type: string
          description: >-
            The time at which this asset was created. Formatted as an ISO 8601
            timestamp.
          example: '2023-11-27T12:00:00Z'
    AssetCreatorType:
      type: string
      example: SEQUENCE_USER
      enum:
        - SEQUENCE_USER
        - API_CLIENT
    AssetType:
      type: string
      example: IMAGE
      enum:
        - IMAGE
        - DOCUMENT
        - BINARY
    AssetFormat:
      type: string
      example: PNG
      enum:
        - JPEG
        - JPG
        - PNG
        - PDF
        - CSV
        - TXT
        - RTF
        - MD
        - XLS
        - XLSX
        - XLSM
        - DOC
        - DOCX
        - ZIP
        - ODT
        - ODS

````